Get Integration Resources
GET
https://api.vercel.com/v1/installations/{integrationConfigurationId}/resourcesGet all resources for a given installation ID.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.marketplace.getIntegrationResources({ integrationConfigurationId: "<id>", });
console.log(result);}
run();Response
{ "resources": [ { "billingPlanId": "example_id", "internalId": "example_id", "metadata": "value", "name": "Example Name", "notification": { "href": "string", "level": "error", "message": "string", "title": "string" }, "partnerId": "example_id", "productId": "example_id", "protocolSettings": { "authentication": { "appUrls": [ { "target": "development", "url": "https://example.com" } ] }, "experimentation": { "edgeConfigId": "example_id", "edgeConfigSyncingEnabled": "false", "edgeConfigTokenId": "example_id", "globalConfigId": "example_id", "globalConfigSyncingEnabled": "false" } }, "status": "error" } ]}AuthorizationbearerToken
Default authentication mechanism